import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterSubmitOutOfProvinceService = createAsyncThunk(
  "SLAUGHTER_SUBMIT_OUT_OF_PROVINCE_SELL",
  async (d, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.post("kill_house_free_sale_bar/", d);
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);

export const guildSubmitOutOfProvinceService = createAsyncThunk(
  "GUILD_SUBMIT_OUT_OF_PROVINCE_SELL",
  async (d, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.post("steward_free_sale_bar/", d);
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
